Subject: Re: bug#39823: 26.3; update-directory-autoloads regression from Emacs 26 to Emacs 27

From: Eli Zaretskii <[email-masked]>
Date: Thu, 01 Oct 2020 20:54:07 +0300

> From: Lars Ingebrigtsen <[email-masked]>
> Date: Thu, 01 Oct 2020 19:20:01 +0200
> Cc: [email-masked], [email-masked], Noam Postavsky <[email-masked]>
> 
> Lars Ingebrigtsen <[email-masked]> writes:
> 
> > I think it would make more sense to introduce a new function, say,
> > `make-directory-autoloads' (because it doesn't so much update the
> > autoloads as create an autoload file, I think?) with a sane function
> > signature, and then deprecate update-directory-autoloads (which is only
> > used a handful of place in the Emacs tree).
> 
> Man, that was a lot more invasive than I thought, because the
> dynamically bound variable was used all over the place.
> 
> But with the following patch
> 
> (make-directory-autoloads "~/src/emacs/trunk/lisp/calc" "/tmp/autofoo.el")
> 
> works.  Emacs builds after applying the patch, and starts, and no tests
> fail.
> 
> Does this look OK to everybody?

Before we go and make all these changes, how about considering the
solution I proposed up-thread, i.e. leave this alone?  I mean, is it
really worth all this?  It's an obscure use case with a very easy
solution/workaround.

But feel free to ignore me.